GCLOUD_COMPUTE_INSTANCES_REMOVE-METADATA(1)

NAME

gcloud compute instances remove-metadata - remove instance metadata

SYNOPSIS

gcloud compute instances remove-metadata NAME [--all | --keys KEY,[KEY,...]] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances remove-metadata can be used to remove instance metadata entries.

POSITIONAL ARGUMENTS
NAME
    The name of the instance whose metadata should be modified.

FLAGS
--all
    If provided, all metadata entries are removed.
--keys KEY,[KEY,...]
    The keys of the entries to remove.
--zone ZONE
    The zone of the instance to set metadata on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.